#!/bin/bash

if [ ! -d ~/bin ]; then
    echo "Creating ~/bin..."
    mkdir ~/bin
fi

echo "Installing hotfix executable..."
cp hotfix ~/bin/hotfix
echo "Fixing permissions..."
chmod +x ~/bin/hotfix

if [ -e ~/.hotfix.conf ]; then
    echo "Configuration file ~/.hotfix.conf already exists"
else
    echo "Installing configuration file..."
    cp hotfix.conf ~/.hotfix.conf
fi
